---
title: KeyboardEvent.keyIdentifier
slug: Web/API/KeyboardEvent/keyIdentifier
tags:
  - API
  - DOM
  - Deprecated
  - Non-standard
  - Property
  - Reference
  - events
---
<p>{{ ApiRef("DOM Events") }}{{non-standard_header}}{{deprecated_header}}</p>

<p>The deprecated <strong><code>KeyboardEvent.keyIdentifier</code></strong> read-only property returns a "key identifier" string that can be used to determine what key was pressed. Its non-deprecated replacement is {{domxref("KeyboardEvent.key")}}.</p>

<h2 id="Specifications">Specifications</h2>

<p><em>Not part of any current specification.</em> This property was part of <a href="http://www.w3.org/TR/2009/WD-DOM-Level-3-Events-20090908/#events-Events-KeyboardEvent-keyIdentifier">an old draft of the DOM Level 3 Events Specification</a>, but it was removed in later drafts in favor of {{domxref("KeyboardEvent.key")}}.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.KeyboardEvent.keyIdentifier")}}</p>
